<?php

namespace Hilco\Models;

class PromotionOrderDiscountAction extends PromotionActionDetails
{
    protected $table = 'PromotionOrderDiscountActions';
    protected $fillable = ['discount_percent', 'maximum_dollar_amount'];

    public function promotion() {
        return $this->morphToMany(Promotion::class, 'action',
                                'PromotionActions', 'promotion_id',
                        'promotionorderdiscountaction_id');
    }

    public function takeAction(Customer $soldToCustomer, $webCartItems, &$status) {
        // TODO: Implement takeAction() method
    }
}
